Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QDialog

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QDialog class reference

### Public Functions

- QDialog ( QWidget * parent, const char * name, bool modal = false, Qt::WFlags f = 0 ) `(obsolete)`

## Member Function Documentation

### QDialog::QDialog ( QWidget * parent, const char * name, bool modal = false, Qt::WFlags f = 0 )